Bug 1747622 - Review Request: golang-github-cmd - Go library wrapper around os/exec.Cmd
Summary: Review Request: golang-github-cmd - Go library wrapper around os/exec.Cmd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1747843
Blocks: 1747626
TreeView+ depends on / blocked
 
Reported: 2019-08-31 08:05 UTC by Carl George
Modified: 2019-09-14 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:10:02 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Carl George 2019-08-31 08:05:29 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/carlwgeorge/reviews/fedora-rawhide-x86_64/01026212-golang-github-cmd/golang-github-cmd.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/carlwgeorge/reviews/fedora-rawhide-x86_64/01026212-golang-github-cmd/golang-github-cmd-1.0.5-1.fc32.src.rpm

Description:
This package is a small but very useful wrapper around os/exec.Cmd for Linux
and macOS that makes it safe and simple to run external commands in highly
concurrent, asynchronous, real-time applications.

Fedora Account System Username: carlwgeorge

Comment 1 Elliott Sales de Andrade 2019-09-01 20:56:09 UTC
Looks like you need https://github.com/go-test/deep to run tests, though they don't run right now due to a bug.

Comment 2 Carl George 2019-09-02 03:50:19 UTC
Ah, I see that now, good catch.  Odd that it built without it.  go2rpm doesn't detect it either.

Oh well, I've submitted it too, see bug 1747843.

Comment 4 Elliott Sales de Andrade 2019-09-03 06:25:02 UTC
When running tests now, one of them fails:

--- FAIL: TestCmdNotFound (0.00s)
    cmd_test.go:272: {Cmd:cmd-does-not-exist PID:0 Complete:false Exit:-1 Error:exec: "cmd-does-not-exist": executable file not found in $PATH StartTs:0 StopTs:0 Runtime:0 Stdout:[] Stderr:[]}
    cmd_test.go:273: [Error: *exec.Error != *errors.errorString]

I guess this might be a bug in deep against Go 1.13, maybe? It seems to be incorrectly comparing the expected Error types.

Comment 5 Elliott Sales de Andrade 2019-09-05 05:04:11 UTC
I'll approve this, but keep in mind that tests will start failing once https://pagure.io/go-rpm-macros/pull-request/20 is shipped out.

Comment 6 Carl George 2019-09-05 13:51:10 UTC
Works for me, I'll cross that bridge when I come to it.  Perhaps by that time if it is a bug in Go itself it will have been resolved.  Thanks Elliott!

Comment 7 Carl George 2019-09-05 18:29:33 UTC
rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2019-47dcca50d0

Comment 8 Fedora Update System 2019-09-05 19:16:59 UTC
FEDORA-2019-57802931dd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-57802931dd

Comment 9 Fedora Update System 2019-09-06 00:22:54 UTC
golang-github-cmd-1.0.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-57802931dd

Comment 10 Fedora Update System 2019-09-14 00:10:02 UTC
golang-github-cmd-1.0.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-14 16:33:36 UTC
golang-github-cmd-1.0.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.